Subject: Re: TG3 network data corruption regression 2.6.24/2.6.23.4

From: Tony Battersby <[email-masked]>
Date: Tue, 15 Apr 2008 11:39:27 -0400

Matt Carlson wrote:
> Hi Tony.  Sorry for the radio silence.
>
> Michael and I have discussed this problem a bit.  Another possibility is
> that the chip may be having difficulty with non-dword aligned TX buffers.
> Since we already know the RX side has the same problem, it isn't so
> far-fetched to think that perhaps it can affect the TX side too.  Can
> you give the following patch a try and see if the corruption still
> happens?
>
>   

Thanks, your patch fixes the problem (tested on 2.6.24.4).  However, I
had to change "(skb->mac_header & 3)" in your patch to "((long)
skb->mac_header & 3)" since mac_header is a pointer rather than an int
on 32-bit systems.

Tested-by: Tony Battersby <[email-masked]>